﻿(function () {
    "use strict";

    var poets = [
        { key: "Poet 1", name: "李白", avatar: "images/poets/1-0.jpg" },
        { key: "Poet 2", name: "杜甫", avatar: "images/poets/2-0.jpg" },
        { key: "Poet 3", name: "李商隱", avatar: "images/poets/3-0.jpg" },
        { key: "Poet 4", name: "白居易", avatar: "images/poets/4-0.jpg" },
        { key: "Poet 5", name: "王維", avatar: "images/poets/5-0.jpg" }
    ];


    var poems = [
        { group: poets[0], title: "靜夜思", content: "<p>床前看月光，<br />疑是地上霜。</p><p>舉頭望山月，<br />低頭思故鄉。</p>", thumb: "images/poets/1-1.jpg" },
        { group: poets[0], title: "黃鶴樓送孟浩然之廣陵", content: "<p>故人西辭黃鶴樓，<br />煙花三月下揚州。</p><p>孤帆遠影碧空盡，<br />唯見長江天際流。</p>", thumb: "images/poets/1-2.jpg" },
        { group: poets[0], title: "早發白帝城", content: "<p>朝辭白帝彩雲間，<br />千里江陵一日還。</p><p>兩岸猿聲啼不住，<br />輕舟已過萬重山。</p>", thumb: "images/poets/1-3.jpg" },

        { group: poets[1], title: "八陣圖", content: "<p>功蓋三分國，<br />名成八陣圖。</p><p>江流石不轉，<br />遺恨失吞吳。</p>", thumb: "images/poets/2-1.jpg" },
        { group: poets[1], title: "春望", content: "<p>國破山河在，<br />城春草木深。</p><p>感時花濺淚，<br />恨別鳥驚心。</p><p>烽火連三月，<br />家書抵萬金。</p><p>白頭搔更短，<br />渾欲不勝簪。</p>", thumb: "images/poets/2-2.jpg" },
        { group: poets[1], title: "贈衛八處士", content: "<p>人生不相見，<br />動如參與商。</p><p>今夕復何夕，<br />共此燈燭光。</p><p>少壯能幾時，<br />鬢髮各已蒼。</p><p>訪舊半為鬼，<br />驚呼熱中腸。</p><p>焉知二十載，<br />重上君子堂。</p><p>昔別君未婚，<br />男女忽成行。</p><p>怡然敬父執，<br />問我來何方。</p><p>問答乃未已，<br />驅兒羅酒漿。</p><p>夜雨剪春韭，<br />新炊間黃梁。</p><p>主稱會面難，<br />一舉累十觴。</p><p>十觴亦不醉，<br />感子故意長。</p><p>明日隔山岳，<br />世事兩茫茫。</p>", thumb: "images/poets/2-3.jpg" },

        { group: poets[2], title: "樂遊原", content: "<p>向晚意不適，<br />驅車登古原。</p><p>夕陽無限好，<br />只是近黃昏。</p>", thumb: "images/poets/3-1.jpg" },
        { group: poets[2], title: "無題", content: "<p>昨夜星辰昨夜風，<br />畫樓西畔桂堂東。</p><p>身無彩鳳雙飛翼，<br />心有靈犀一點通。</p><p>隔座送鉤春酒暖，<br />分曹射覆蠟燈紅。</p><p>嗟余聽鼓應官去，<br />走馬蘭台類轉蓬。</p>", thumb: "images/poets/3-2.jpg" },
        { group: poets[2], title: "錦瑟", content: "<p>錦瑟無端五十弦，<br />一弦一柱思華年。</p><p>莊生曉夢迷蝴蝶，<br />望帝春心託杜鵑。</p><p>滄海月明珠有淚，<br />藍田日暖玉生煙。</p><p>此情可待成追憶，<br />只是當時已惘然。</p>", thumb: "images/poets/3-3.jpg" },

        { group: poets[3], title: "賦得古原草送別", content: "<p>離離原上草，<br />一歲一枯榮。</p><p>野火燒不盡，<br />春風吹又生。</p><p>遠芳侵古道，<br />晴翠接荒城。</p><p>又送王孫去，<br />萋萋滿別情。</p>", thumb: "images/poets/4-1.jpg" },
        { group: poets[3], title: "琵琶行", content: "<p>潯陽江頭夜送客，<br />楓葉荻花秋瑟瑟。</p><p>主人下馬客在船，<br />舉酒欲飲無管絃；</p><p>醉不成歡慘將別，<br />別時茫茫江浸月。</p><p>忽聞水上琵琶聲，<br />主人忘歸客不發。</p><p>尋聲暗問彈者誰？<br />琵琶聲停欲語遲。</p><p>移船相近邀相見，<br />添酒回燈重開宴。</p><p>千呼萬喚始出來，<br />猶抱琵琶半遮面。</p><p>轉軸撥絃三兩聲，<br />未成曲調先有情。</p><p>絃絃掩抑聲聲思，<br />似訴平生不得志。</p><p>低眉信手續續彈，<br />說盡心中無限事。</p><p>輕攏慢撚抹復挑，<br />初為霓裳後六么。</p><p>大絃嘈嘈如急雨，<br />小絃切切如私語；</p><p>嘈嘈切切錯雜彈，<br />大珠小珠落玉盤。</p><p>閒關鶯語花底滑，<br />幽咽泉流水下灘。</p><p>水泉冷澀絃凝絕，<br />凝絕不通聲漸歇。</p><p>別有幽愁暗恨生，<br />此時無聲勝有聲。</p><p>銀瓶乍破水漿迸，<br />鐵騎突出刀鎗鳴。</p><p>曲終收撥當心畫，<br />四絃一聲如裂帛。</p><p>東船西舫悄無言，<br />唯見江心秋月白。</p><p>沈吟放撥插絃中，<br />整頓衣裳起斂容。</p><p>自言本是京城女，<br />家在蝦蟆陵下住。</p><p>十三學得琵琶成，<br />名屬教坊第一部。</p><p>曲罷曾教善才服，<br />妝成每被秋娘妒。</p><p>五陵年少爭纏頭，<br />一曲紅綃不知數。</p><p>鈿頭銀篦擊節碎，<br />血色羅裙翻酒汙。</p><p>今年歡笑復明年，<br />秋月春風等閒度。</p><p>弟走從軍阿姨死，<br />暮去朝來顏色故；</p><p>門前冷落車馬稀，<br />老大嫁作商人婦。</p><p>商人重利輕別離，<br />前月浮梁買茶去，</p><p>去來江口守空船，<br />繞船月明江水寒。</p><p>夜深忽夢少年事，<br />夢啼妝淚紅闌干。</p><p>我聞琵琶已嘆息，<br />又聞此語重唧唧。</p><p>同是天涯淪落人，<br />相逢何必曾相識？</p><p>我從去年辭帝京，<br />謫居臥病潯陽城。</p><p>潯陽地僻無音樂，<br />終歲不聞絲竹聲。</p><p>住近湓城地低濕，<br />黃蘆苦竹繞宅生。</p><p>其間旦暮聞何物？<br />杜鵑啼血猿哀鳴。</p><p>春江花朝秋月夜，<br />往往取酒還獨傾。</p><p>豈無山歌與村笛？<br />嘔啞嘲哳難為聽。</p><p>今夜聞君琵琶語，<br />如聽仙樂耳暫明。</p><p>莫辭更坐彈一曲，<br />為君翻作琵琶行。</p><p>感我此言良久立，<br />卻坐促絃絃轉急。</p><p>淒淒不似向前聲，<br />滿座重聞皆掩泣。</p><p>座中泣下誰最多，<br />江州司馬青衫濕。</p>", thumb: "images/poets/4-2.jpg" },
        { group: poets[3], title: "長恨歌", content: "<p>漢皇重色思傾國，<br />御宇多年求不得。</p><p>楊家有女初長成，<br />養在深閨人未識。</p><p>天生麗質難自棄，<br />一朝選在君王側。</p><p>回眸一笑百媚生，<br />六宮粉黛無顏色。</p><p>春寒賜浴華清池，<br />溫泉水滑洗凝脂；</p><p>侍兒扶起嬌無力，<br />始是新承恩澤時。</p><p>雲鬢花顏金步搖，<br />芙蓉帳暖度春宵；</p><p>春宵苦短日高起，<br />從此君王不早朝。</p><p>承歡侍宴無閑暇，<br />春從春遊夜專夜。</p><p>後宮佳麗三千人，<br />三千寵愛在一身。</p><p>金屋妝成嬌侍夜，<br />玉樓宴罷醉和春。</p><p>姊妹弟兄皆列土，<br />可憐光彩生門戶。</p><p>遂令天下父母心，<br />不重生男重生女。</p><p>驪宮高處入青雲，<br />仙樂風飄處處聞。</p><p>緩歌慢舞凝絲竹，<br />盡日君王看不足。</p><p>漁陽鼙鼓動地來，<br />驚破霓裳羽衣曲。</p><p>九重城闕煙塵生，<br />千乘萬騎西南行。</p><p>翠華搖搖行復止，<br />西出都門百餘里；</p><p>六軍不發無奈何？<br />宛轉蛾眉馬前死。</p><p>花鈿委地無人收，<br />翠翹金雀玉搔頭。</p><p>君王掩面救不得，<br />回看血淚相和流。</p><p>黃埃散漫風蕭索，<br />雲棧縈紆登劍閣。</p><p>峨嵋山下少人行，<br />旌旗無光日色薄。</p><p>蜀江水碧蜀山青，<br />聖主朝朝暮暮情。</p><p>行宮見月傷心色，<br />夜雨聞鈴腸斷聲。</p><p>天旋地轉迴龍馭，<br />到此躊躇不能去。</p><p>馬嵬坡下泥土中，<br />不見玉顏空死處。</p><p>君臣相顧盡霑衣，<br />東望都門信馬歸。</p><p>歸來池苑皆依舊，<br />太液芙蓉未央柳；</p><p>芙蓉如面柳如眉，<br />對此如何不淚垂？</p><p>春風桃李花開日，<br />秋雨梧桐葉落時。</p><p>西宮南內多秋草，<br />落葉滿階紅不掃。</p><p>梨園子弟白髮新，<br />椒房阿監青娥老。</p><p>夕殿螢飛思悄然，<br />孤燈挑盡未成眠。</p><p>遲遲鐘鼓初長夜，<br />耿耿星河欲曙天。</p><p>鴛鴦瓦冷霜華重，<br />翡翠衾寒誰與共？</p><p>悠悠生死別經年，<br />魂魄不曾來入夢。</p><p>臨邛道士鴻都客，<br />能以精誠致魂魄；</p><p>為感君王輾轉思，<br />遂教方士殷勤覓。</p><p>排空馭氣奔如電，<br />升天入地求之遍；</p><p>上窮碧落下黃泉，<br />兩處茫茫皆不見。</p><p>忽聞海上有仙山，<br />山在虛無縹緲間。</p><p>樓閣玲瓏五雲起，<br />其中綽約多仙子。</p><p>中有一人字太真，<br />雪膚花貌參差是。</p><p>金闕西廂叩玉扃，<br />轉教小玉報雙成。</p><p>聞道漢家天子使，<br />九華帳裡夢魂驚；</p><p>攬衣推枕起徘徊，<br />珠箔銀屏迤邐開。</p><p>雲鬢半偏新睡覺，<br />花冠不整下堂來。</p><p>風吹仙袂飄飄舉，<br />猶似霓裳羽衣舞。</p><p>玉容寂寞淚闌干，<br />梨花一枝春帶雨。</p><p>含情凝睇謝君王，<br />一別音容兩渺茫。</p><p>昭陽殿裡恩愛絕，<br />蓬萊宮中日月長。</p><p>回頭下望人寰處，<br />不見長安見塵霧。</p><p>唯將舊物表深情，<br />鈿合金釵寄將去。</p><p>釵留一股合一扇，<br />釵擘黃金合分鈿。</p><p>但教心似金鈿堅，<br />天上人間會相見。</p><p>臨別殷勤重寄詞，<br />詞中有誓兩心知，</p><p>七月七日長生殿，<br />夜半無人私語時。</p><p>在天願作比翼鳥，<br />在地願為連理枝。</p><p>天長地久有時盡，<br />此恨綿綿無絕期。</p>", thumb: "images/poets/4-3.jpg" },

        { group: poets[4], title: "相思", content: "<p>紅豆生南國，<br />春來發幾枝？</p><p>勸君多採擷，<br />此物最相思！</p>", thumb: "images/poets/5-1.jpg" },
        { group: poets[4], title: "雜詩", content: "<p>君自故鄉來，<br />應知故鄉事。</p><p>來日綺窗前，<br />寒梅著花未。</p>", thumb: "images/poets/5-2.jpg" },
        { group: poets[4], title: "九月九日憶山東兄弟", content: "<p>獨在異鄉為異客，<br />每逢佳節倍思親；</p><p>遙知兄弟登高處，<br />遍插茱萸少一人。</p>", thumb: "images/poets/5-3.jpg" }
    ];

    function groupKeySelector(item) {
        return item.group.key;
    }

    function groupDataSelector(item) {
        return item.group;
    }

    // This function returns a WinJS.Binding.List containing only the items
    // that belong to the provided group.
    function getItemsFromGroup(group) {
        return list.createFiltered(function (item) { return item.group.key === group.key; });
    }

    var list = new WinJS.Binding.List();
    var groupedItems = list.createGrouped(groupKeySelector, groupDataSelector);

    // TODO: Replace the data with your real data.
    // You can add data from asynchronous sources whenever it becomes available.
    poems.forEach(function (item) {
        list.push(item);
    });

    WinJS.Namespace.define("data", {
        items: groupedItems,
        groups: groupedItems.groups,
        getItemsFromGroup: getItemsFromGroup
    });
})();
